$c->{get_users_owned_eprints} = sub
{
         my( $session, $user, $ds ) = @_;

         my $searchexp = new EPrints::Search(
                 session=>$session,
                 custom_order=>"eprintid",
                 dataset=>$ds,
                 satisfy_all=>0 );

         $searchexp->add_field(
                 $ds->get_field( "userid" ),
                 $user->get_value( "userid" ) );

         my $list =  $searchexp->perform_search;

        my $archsearch = new EPrints::Search(
                session=>$session,
                custom_order=>"eprintid",
                dataset=>$ds,
                satisfy_all=>1);

         $archsearch->add_field(
                 $ds->get_field( "creators_id" ),
                 $user->get_value( "email" ), "EQ" );

        $archsearch->add_field(
                 $ds->get_field( "eprint_status" ),
                 "archive", "EQ" );

         my $list2 = $archsearch->perform_search;


        return $list->union($list2);

};

$c->{does_user_own_eprint} = sub
{
         my( $session, $user, $eprint ) = @_;

         return 1 if $user->get_value( "userid" ) == $eprint->get_value(
"userid" );

        if($eprint->get_value("eprint_status") eq "archive"){
                 my $ids = $eprint->get_value( "creators_id" );
                 for( @$ids )
                 {
                         return 1 if $user->get_value( "email" ) eq $_;
                 }
        }
         return 0;
};

